//-----------------------------------------------------------------
// ALL HEADERS.H - Created Fred Foscalina
// This loads all the header files.
//-----------------------------------------------------------------
//
//$Modtime: 5/02/13 7:07a $
//$Revision: 6 $
//$Author: Fredf $ 

#ifndef __ALL_HEADERS_H__	// don't allow multiple loads
#define __ALL_HEADERS_H__

// number assignments for PLC's
#include "PLC Program Numbers.h"

// default I and M variables including suggested M variables
// and default encoder table settings
// ************************************************
// Uncomment next two lines for manufacturing build
// ************************************************
#include "Default I-Variables.h"
#include "Default M-Variables.h"
//#include "Encoder Table.h"

// master M and P variable header file
#include "M-Variables.h"
#include "P-Variables.h"

// header files for I/O
// these are included in above M-Variables.h file
//#include "I-O Port M-Variables.h"
//#include "I-O Signal Assignments.h"
//#include "I-O Assignments.h"

// header files for jogging and homing
#include "misc.h"
#include "errors.h"

#include "JogHome.h"
#include "EHW Jog.h"

#endif
